------------------------------------------------------------------------------------
--Name:  	xiaolong4
--Creator:	由剧情表现脚本编辑器生成
--Created:	2022-12-07
------------------------------------------------------------------------------------

CppScriptMgr:SetViewPosByCell(222, 260)
CppScriptMgr:ShakeScrEffect(1)
CppScriptMgr:SetViewScale(200)
local Player_1 = CppScriptMgr:QueryHero()
Player_1:SetPos(230, 268)
Player_1:SetDir(3)
local player_Name_1 = Player_1:GetName()
local Player_3 = CppScriptMgr:AddSimplePlayer(17591, 236, 264, "", 0, 0)
Player_3:SetZoomPercent(110)
Player_3:SetDir(3)
Player_3:AddEffect("map_lxljx1", 33)
local Player_4 = CppScriptMgr:AddSimplePlayer(1056030, 222, 260, "", 0, 0)
Player_4:SetZoomPercent(100)
Player_4:SetDir(7)
CppScriptMgr:WaitMilSec(500)
ChangeNpcZoom(Player_4, 100, 120, 5, 33)
Player_4:SetAction(401)
CppScriptMgr:WaitMilSec(1380)
local effect_0 = CppScriptMgr:AddEffect("zf2-e233", 213, 263, 33, 1, 1, 1)
effect_0:Scale(2, 2, 2)
local effect_1 = CppScriptMgr:AddEffect("zf2-e233", 225, 251, 33, 1, 1, 1)
effect_1:Scale(2, 2, 2)
CppScriptMgr:WaitMilSec(260)
local npc_1 = CppScriptMgr:AddSimplePlayer(1056030, 225, 251, "", 0, 0)
npc_1:SetZoomPercent(100)
npc_1:SetDir(7)
local npc_0 = CppScriptMgr:AddSimplePlayer(1056030, 213, 263, "", 0, 0)
npc_0:SetZoomPercent(100)
npc_0:SetDir(7)
CppScriptMgr:WaitMilSec(2370)
local heroSex = Player_1:GetSex();
if heroSex == 1 then
	CppScriptMgr:NpcCallOut("Devourer is generating more and more monsters!", 2000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_NpcXLXLNan", 150, 430, player_Name_1, 250, 655,true)
else
	CppScriptMgr:NpcCallOut("Devourer is generating more and more monsters!", 2000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_NpcXLXLN", 150, 430, player_Name_1, 250, 655,true)
end

Player_1:SetAction(101)
Player_1:Say("Devourer is generating more and more monsters!", 2000)
CppScriptMgr:WaitMilSec(2000)
CppScriptMgr:NpcCallOut("DevourerDevourer has absorbed much beast power. It`s more powerful now!", 2000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_NpcXLSLHX", 150, 430, "DragonImage", 250, 655,true)
Player_3:Say("DevourerDevourer has absorbed much beast power. It`s more powerful now!", 2000)
CppScriptMgr:WaitMilSec(2000)
CppScriptMgr:NpcCallOut("I will give you one last chance. Will you join me?", 2000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_NpcXLSHS", 150, 430, "Devourer", 250, 655,true)
Player_4:SetAction(401)
Player_4:Say("I will give you one last chance. Will you join me?", 2000)
CppScriptMgr:WaitMilSec(2000)

if heroSex == 1 then
	CppScriptMgr:NpcCallOut("Cut it out! I will seal you today!", 2000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_NpcXLXLNan", 150, 430, player_Name_1, 250, 655,true)
else
	CppScriptMgr:NpcCallOut("Cut it out! I will seal you today!", 2000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_NpcXLXLN", 150, 430, player_Name_1, 250, 655,true)
end
Player_1:Say("Cut it out! I will seal you today!", 2000)
Player_1:SetAction(401)
CppScriptMgr:WaitMilSec(2900)